buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Assaf Arkin" <ar...@intalio.com>
Subject Re: segmentation fault
Date Sat, 28 Jun 2008 01:55:15 GMT
Might be issue with older version of Ruby Gems (pre 1.1), try:

sudo gem update --system

Assaf

On Tue, Jun 24, 2008 at 4:01 AM, Ittay Dror <ittay.dror@gmail.com> wrote:
>
> Now I'm trying to build buildr. Both cruby buildr installed natively and
> buildr executable from svn fail with segmentation fault trying to package
> buildr. The JRuby buildr however gives a better clue:
>
>> buildr install test=off
> (in /work/research/buildr, development)
> Building buildr
> Compiling buildr:java
> Note:
> /work/research/buildr/lib/buildr/java/org/apache/buildr/JavaTestFilter.java
> uses or overrides a deprecated API.
> Note: Recompile with -Xlint:deprecation for details.
> Compiling buildr:extra
> Packaging buildr
> rake aborted!
> undefined method `write' for
> "/work/research/buildr/extra/target/buildr-extra-1.0.gem":String
>
>
>
>
> Ittay Dror wrote:
>>
>> Jdk 1.6.
>>
>> i worked around it by running the 'artifacts' task.
>>
>> ittay
>>
>> Assaf Arkin wrote:
>>>
>>> JDK 1.5 or 1.6?
>>>
>>> Assaf
>>>
>>> On Sun, Jun 22, 2008 at 8:00 AM, Ittay Dror <ittay.dror@gmail.com> wrote:
>>>>
>>>>> time buildr --trace install test=off
>>>> [SNIP]
>>>> ** Execute
>>>> /home/ittayd/.m2/repository/org/apache/ws/commons/axiom/axiom-impl/1.2.5/axiom-impl-1.2.5.pom
>>>> Downloading org.apache.ws.commons.axiom:axiom-impl:pom:1.2.5
>>>> Downloading org.apache.ws.commons.axiom:axiom-impl:pom:1.2.5
>>>> Requesting
>>>> http://repo1.maven.org/maven2/org/apache/ws/commons/axiom/axiom-impl/1.2.5/axiom-impl-1.2.5.pom
>>>> Downloading
>>>> http://repo1.maven.org/maven2/org/apache/ws/commons/axiom/axiom-impl/1.2.5/axiom-impl-1.2.5.pom
>>>> Segmentation faultom:   0% |
>>>> |       0B/2.3KB ETA:  --:--:--
>>>>
>>>> running on ubuntu 8.04, latest update.
>>>>> buildr --version
>>>> Buildr 1.3.1.1
>>>>> rake --version
>>>> rake, version 0.8.1
>>>>> ruby --version
>>>> ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]
>>>> --
>>>> View this message in context:
>>>> http://www.nabble.com/segmentation-fault-tp18055332p18055332.html
>>>> Sent from the Buildr - User mailing list archive at Nabble.com.
>>>>
>>>>
>>>
>>>
>>
>>
>
> --
> View this message in context: http://www.nabble.com/segmentation-fault-tp18055332p18088663.html
> Sent from the Buildr - User mailing list archive at Nabble.com.
>
>

Mime
View raw message